## org.freedesktop.ModemManager1.Modem.Voice org.freedesktop.ModemManager1.Modem.Voice — The ModemManager Voice interface. |

## Methods

    ListCalls  (OUT ao    result);
    DeleteCall (IN  o     path);
    CreateCall (IN  a{sv} properties,
                OUT o     path);

## Signals

    CallAdded   (o path);
    CallDeleted (o path);

## Properties

    Calls  readable   ao

## Description

The Voice interface handles Calls.

## Method Details

### The ListCalls() method

    ListCalls (OUT ao result);

Retrieve all Calls.

This method should only be used once and subsequent information retrieved either by listening for the org.freedesktop.ModemManager1.Modem.Voice::Added signal, or by querying the specific Call object of interest.

`OUT ao `result``: | The list of call object paths.

### The DeleteCall() method

    DeleteCall (IN  o path);

Delete a Call from the list of calls.

The call will be hangup if it is still active.

`IN o `path``: | The object path of the Call to delete.

### The CreateCall() method

    CreateCall (IN  a{sv} properties,
                OUT o     path);

Creates a new call object.

The 'Number' is mandatory

`IN a{sv} `properties``: | Call properties from the Call D-Bus interface.
`OUT o `path``: | The object path of the new call object.

## Signal Details

### The "CallAdded" signal

    CallAdded (o path);

Emitted when any part of a Call has been received or added.

`o `path``: | Object path of the new call.

### The "CallDeleted" signal

    CallDeleted (o path);

Emitted when a call has been deleted.

`o `path``: | Object path of the now deleted Call.

## Property Details

### The "Calls" property

    Calls  readable   ao

The list of calls object paths.